Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81726 - wu-ftpd still doesn't work in standalone mode
Summary: wu-ftpd still doesn't work in standalone mode
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 14:20 UTC by Christopher Hicks
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-27 16:52:58 UTC


Attachments (Terms of Use)

Description Christopher Hicks 2003-01-13 14:20:46 UTC
Description of problem:
wu-ftpd won't startup in standalone mode.  It logs a "Cannot create socket to
listen on: Address family not supported by protocol" error in /var/log/messages
and quites.  This sounds like the same problem as in bug 64764, but it's still
happening in Red Hat 8.0. I've run netstat -apt as I suggested to the other
person to ensure that xinetd was no longer holding the socket and it isn't. 
I've tried starting it 20 minutes after disabled wu-ftpd in xinetd to see if
that helped and it didn't.  Interestingly the same error message is given even
if xinetd has the socket:

[root@ahps xinetd.d]# netstat -apt | head -2
Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address         State      
PID/Program name
[root@ahps xinetd.d]# netstat -apt | grep ftp
tcp        0      0 *:ftp                   *:*                     LISTEN     
16445/xinetd
[root@ahps xinetd.d]# in.ftpd -l -a -s
[root@ahps xinetd.d]# tail /var/log/messages
.
.
.
Jan 13 14:28:07 ahps ftpd[16466]: wu-ftpd - TLS settings: control allow,
client_cert allow, data allow
Jan 13 14:28:07 ahps ftpd[16466]: FTP server (Version wu-2.6.2-5) ready.
Jan 13 14:28:07 ahps ftpd[16466]: Cannot create socket to listen on: Address
family not supported by protocol


Version-Release number of selected component (if applicable):
# rpm -q wu-ftpd
wu-ftpd-2.6.2-5

How reproducible:


Steps to Reproduce:
1. Disable wu-ftpd in xinetd (if enabled)
2. wu.ftpd -s
or
    wu.ftpd -l -a -s
    
Actual results:
Message in /var/log/messages:
Jan 13 14:22:02 ahps ftpd[16454]: Cannot create socket to listen on: Address
family not supported by protocol

Expected results:


Additional info:

Comment 1 Thomas Woerner 2004-01-27 16:52:58 UTC
Please use vsftpd instead. wu-ftpd is not maintained anymore.


Note You need to log in before you can comment on or make changes to this bug.